Bug 1418940 - Review Request: php-camspiers-porter-stemmer - PHP 5 implementation of the porter stemmer algorithm
Summary: Review Request: php-camspiers-porter-stemmer - PHP 5 implementation of the po...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:44 UTC by Tim Flink
Modified: 2020-08-10 00:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:56:33 UTC
Type: ---


Attachments (Terms of Use)

Comment 1 Remi Collet 2017-02-03 09:56:57 UTC
Hi,

Quick notes:

According to git history, this is not a "pre" release, but a post tag release,
So a better version is 1.0.0-1.20160322git56f1e3b

From phpcompatinfo report, missing dep: php-pcre

I totally agree using namespace is a must, btw, worth to be submitted upstream, as a PR.

Perhaps a minimal %check for autoloader could be useful

BuildRequires: php-cli
%check
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}/autoload.php";
exit (class_exists("CamSpiers\\PorterStemmer\\Porter") ? 0 : 1);
'

Must own /usr/share/php/CamSpiers

Comment 2 Package Review 2020-07-10 00:55:36 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 3 Package Review 2020-08-10 00:56:33 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.